// FlashQuizDlg.h : header file
//
// FlashQuiz v1.0
// Copyright  2000 Ziff Davis Media, Inc.
// Written by Gregory A. Wolking.

#if !defined(AFX_FLASHQUIZDLG_H__D88B5247_E79C_11D3_A4C6_00A0CC307F9C__INCLUDED_)
#define AFX_FLASHQUIZDLG_H__D88B5247_E79C_11D3_A4C6_00A0CC307F9C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CFlashQuizDlg dialog

class CFlashQuizDlg : public CDialog
{
// Construction
public:
	CFlashQuizDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CFlashQuizDlg)
	enum { IDD = IDD_FLASHQUIZ_DIALOG };
	CButton	m_cmdTakeQuiz;
	CButton	m_cmdEdit;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFlashQuizDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Member variables.
	int			m_intMyTimer;		// Identifier for Windows timer.
	HICON		m_hIcon;			// Handle to our icon.
	CDialog		*m_pQuestionDlg;	// Pointer to question dialog.

	// Member functions.
	void Set_Doc_Title();
	BOOL Load_Document(LPCTSTR pszFileName);
	void Do_Log();

	// Generated message map functions
	//{{AFX_MSG(CFlashQuizDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OncmdNew();
	afx_msg void OncmdAbout();
	afx_msg void OncmdEdit();
	afx_msg void OncmdLoad();
	afx_msg void OnClose();
	afx_msg void OncmdTakeQuiz();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	afx_msg LONG OnTakeQuiz(WPARAM, LPARAM);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FLASHQUIZDLG_H__D88B5247_E79C_11D3_A4C6_00A0CC307F9C__INCLUDED_)
