// LogScore.cpp : implementation file
//
// FlashQuiz v1.0
// Copyright  2000 Ziff Davis Media, Inc.
// Written by Gregory A. Wolking.

#include "stdafx.h"
#include "flashquiz.h"
#include "LogScore.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLogScore dialog


CLogScore::CLogScore(CWnd* pParent /*=NULL*/)
	: CDialog(CLogScore::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLogScore)
	m_strComment = _T("Comment");
	//}}AFX_DATA_INIT
}


void CLogScore::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLogScore)
	DDX_Control(pDX, IDC_txtComment, m_txtComment);
	DDX_Text(pDX, IDC_txtComment, m_strComment);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLogScore, CDialog)
	//{{AFX_MSG_MAP(CLogScore)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLogScore message handlers

BOOL CLogScore::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	UpdateData(FALSE);
	m_txtComment.SetLimitText(64);
	m_txtComment.SetSel(0, -1);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CLogScore::OnOK() 
{
	UpdateData(TRUE);
	if (m_strComment.IsEmpty())
		m_strComment = "No comment";
	EndDialog(IDOK);
}
